include::../description.adoc[]

== Noncompliant Code Example

----
if x == 0 {                                        
	doSomething()
} else if x == 1 {
	doSomethingElse()
} 
----

== Compliant Solution

----
if x == 0 {
	doSomething()
} else if x == 1 {
	doSomethingElse()
} else {
	return errors.New("unsupported int")
}
----

== Exceptions

When all branches of an ``++if++``-``++else if++`` end with ``++return++`` or ``++break++``, the code that comes after the ``++if++`` implicitly behaves as if it was in an ``++else++`` clause. This rule will therefore ignore that case.

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
